Skip to content
StraventaDocs
Now in Sandbox.

Submit a disbursement batch for approval

POST
/api/recon/v1/disbursement-batches/{id}/submit

Submits a disbursement batch for first-level approval. Batch must be in pending status.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST https://sandbox.505pay.link/api/recon/v1/disbursement-batches/{id}/submit \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "01900000-0000-7000-8000-000000000090",
  "batch_code": "DISB-20260603-001",
  "status": "pending_approval",
  "total_amount": 5000000,
  "item_count": 5,
  "created_at": "2026-06-03T08:00:00Z",
  "updated_at": "2026-06-03T09:00:00Z"
}
{
  "error": "validation_failed",
  "message": "id must be a UUID",
  "request_id": "01900000-0000-7000-8000-000000000001"
}
{
  "error": "unauthorized",
  "message": "Bearer token is missing or invalid",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

{
  "error": "insufficient_scope",
  "message": "caller lacks the required permission",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

{
  "error": "not_found",
  "message": "The requested resource was not found",
  "request_id": "01900000-0000-7000-8000-000000000001"
}
{
  "error": "rate_limit_exceeded",
  "message": "too many requests",
  "request_id": "01900000-0000-7000-8000-000000000001"
}

Was this page helpful?